%define anolis_release 5

Name:           perl-MIME-Base64
Summary:        Encoding and decoding of Base64 and quoted-printable strings
Version:        3.16
Release:        %{anolis_release}%{?dist}
License:        (GPL+ or Artistic) and MIT
URL:            https://cpan.metacpan.org/authors
Source0:        %{url}/id/C/CA/CAPOEIRAB/MIME-Base64-%{version}.tar.gz
BuildRequires:  gcc make coreutils findutils
BuildRequires:  perl-devel perl-generators perl(File::Spec) perl(Test) perl(Test::More)
BuildRequires:  perl(strict) perl(warnings) perl(Exporter) perl(XSLoader) perl(Encode)
BuildRequires:  perl-interpreter perl(ExtUtils::MakeMaker) >= 6.76
Conflicts:      perl < 4:5.22.0-347

%description
perl-MIME-Base64 is a Perl module that provides encoding and decoding
functions for the Base64 encoding scheme. This encoding is commonly used
for email attachments, as well as other data transmission applications
where binary data needs to be transmitted over text-based channels.
The module provides a simple interface for encoding and decoding data using
Base64, making it easy to integrate into Perl scripts and other applications.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n MIME-Base64-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -delete

%check
make test

%files
%{_mandir}/man3/*
%{perl_vendorarch}/MIME*
%{perl_vendorarch}/auto/*

%files doc
%doc Changes README

%changelog
* Sat Apr 15 2023 Heng Qi <hengqi@linux.alibaba.com> - 3.16-5
- Refactor the spec file

* Thu Feb 09 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.16-4
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.16-3
- rebuild with perl 5.36.0

* Fri Oct 14 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.16-2
- add doc package

* Thu Mar 10 2022 Mingyue Zhao <wb-zmy745940@alibaba-inc.com> - 3.16-1
- Init for Anolis OS 23
